ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_ump_msg_mixed_data_payload_t Struct Reference

`#include <ump_msg.h>`

## Data Fields
uint16_t | payload1
uint8_t | mds_id:4
uint8_t | status:4
uint8_t | group:4
uint8_t | type:4
uint32_t | payloads [3]

## Detailed Description

Mixed Data Set Chunk Payload Message (128bit)

## Field Documentation

## ◆ group

uint8_t snd_ump_msg_mixed_data_payload_t::group

UMP Group

## ◆ mds_id

uint8_t snd_ump_msg_mixed_data_payload_t::mds_id

Mixed Data Set ID

## ◆ payload1

uint16_t snd_ump_msg_mixed_data_payload_t::payload1

Payload

## ◆ payloads

uint32_t snd_ump_msg_mixed_data_payload_t::payloads[3]

Payload

## ◆ status

uint8_t snd_ump_msg_mixed_data_payload_t::status

Status

## ◆ type

uint8_t snd_ump_msg_mixed_data_payload_t::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h